<mat-card>
    <mat-card-content>
      <form [formGroup]="formLogin"  *ngIf="isLogin">
        <h2>Accedi</h2>
        <mat-error *ngIf="loginInvalid">
          L username o la password inseriti sono sbagliati
        </mat-error>
        <mat-form-field class="full-width-input">
          <input matInput placeholder="Username" formControlName="username" required>
          <mat-error>
            Inserisci il tuo username
          </mat-error>
        </mat-form-field>
        <mat-form-field class="full-width-input">
          <input matInput type="password" placeholder="Password" formControlName="password" required>
          <mat-error>
            Inserisci la tua password 
          </mat-error>
        </mat-form-field>
        <div class="row-spaced">
            <span>Se non sei ancora registrato premi <b (click)="toggleTab()">qui</b></span>
            <button (click) = "onLogin()" [disabled]="!formLogin.valid" mat-raised-button color="primary">Login</button>

        </div>
      </form>

      <form [formGroup]="formRegister"  *ngIf="!isLogin">
        <h2>Registrazione</h2>
        <mat-form-field class="full-width-input">
            <input matInput type="text" placeholder="Nome" formControlName="name" required>
            <mat-error>
              Inserisci il tuo nome
            </mat-error>
          </mat-form-field>
          <mat-form-field class="full-width-input">
            <input matInput type="text" placeholder="Cognome" formControlName="surname" required>
            <mat-error>
                Inserisci il tuo cognome
            </mat-error>
          </mat-form-field>


        <mat-form-field class="full-width-input">
            <input matInput placeholder="Username" formControlName="username" required>
            <mat-error>
              Inserisci il tuo username
            </mat-error>
            <mat-error *ngIf="usernameExist">
                L username inserito è in uso
              </mat-error>
      
            </mat-form-field>
          <mat-form-field class="full-width-input">
            <input matInput type="password" placeholder="Password" formControlName="password" required>
            <mat-error>
              Inserisci la tua password 
            </mat-error>
          </mat-form-field>
          <div class="row-spaced">

            <span>Se sei registrato accedi <b (click)="toggleTab()">qui</b></span>
            <button (click) = "onRegister()" [disabled]="!formRegister.valid" mat-raised-button color="primary">Registrati</button>
        </div>
      </form>

    </mat-card-content>
  </mat-card>